Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.utilities
Class Base64.InputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--com.autonomy.utilities.Base64.InputStream

Enclosing class:
  Base64

public static class Base64.InputStream
extends java.io.FilterInputStream

A `Base64#InputStream` will read data from another `InputStream`, given in the constructor, and encode/decode to/from Base64 notation on the fly.

Since:
  1.3
See Also:
  `Base64`, `FilterInputStream`

Constructor Summary
`Base64.InputStream(java.io.InputStream in)` Constructs a `Base64#InputStream` in DECODE mode.
`Base64.InputStream(java.io.InputStream in, boolean encode)` Constructs a `Base64#InputStream` in either ENCODE or DECODE mode.
`Base64.InputStream(java.io.InputStream in, boolean encode, boolean breakLines)` Constructs a `Base64#InputStream` in either ENCODE or DECODE mode.

Method Summary
`int` | `read()` Reads enough of the input stream to convert to/from Base64 and returns the next byte.
`int` | `read(byte[] dest, int off, int len)` Calls `read()` repeatedly until the end of stream is reached or len bytes are read.

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64.InputStream

    public Base64.InputStream(java.io.InputStream in)

  Constructs a `Base64#InputStream` in DECODE mode.

Parameters:
  `in` - the `InputStream` from which to read data.
Since:
  1.3

### Base64.InputStream

    public Base64.InputStream(java.io.InputStream in,
                              boolean encode)

  Constructs a `Base64#InputStream` in either ENCODE or DECODE mode.

Parameters:
  `in` - the `InputStream` from which to read data.
  `encode` - Conversion direction
Since:
  1.3
See Also:
  `Base64.ENCODE`, `Base64.DECODE`

### Base64.InputStream

    public Base64.InputStream(java.io.InputStream in,
                              boolean encode,
                              boolean breakLines)

  Constructs a `Base64#InputStream` in either ENCODE or DECODE mode.

Parameters:
  `in` - the `InputStream` from which to read data.
  `encode` - Conversion direction
  `breakLines` - Break lines at less than 80 characters.
Since:
  1.3
See Also:
  `Base64.ENCODE`, `Base64.DECODE`

Method Detail

### read

    public int read()
             throws java.io.IOException

  Reads enough of the input stream to convert to/from Base64 and returns the next byte.

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Returns:
    next byte
    `java.io.IOException`
  Since:
    1.3

### read

    public int read(byte[] dest,
                    int off,
                    int len)
             throws java.io.IOException

  Calls `read()` repeatedly until the end of stream is reached or len bytes are read. Returns number of bytes read into array or -1 if end of stream is encountered.

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Parameters:
    `dest` - array to hold values
    `off` - offset for array
    `len` - max number of bytes to read into array
  Returns:
    bytes read into array or -1 if end of stream is encountered.
    `java.io.IOException`
  Since:
    1.3

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD